Get best NISP at height
get
/mining/bestNISPapi_keyReturns the best NISP produced for a given height and score, with exactly 10 super-shares
Query parameters
heightinteger · int32requireddefault 0Height that all super shares in the NISP must be below
scoreinteger · int64requireddefault 5000000Score that all super shares in this NISP must be above
Responses
200Best NISP representation with 10 super sharesNISPRepresentation▶
scoreinteger · int64requiredScore associated with this NISP, to be used in payout calculations
heightinteger · int32requiredHeight all super-shares in this NISP must be under
headersstring[]requiredHeader bytes associated with each super-share in this NISP
bytesstringrequiredSerialized (hex-encoded) bytes of this NISP
404Could not produce a NISP for the given heightApiError▶
errorintegerrequiredError code
reasonstringrequiredError message explaining the reason of the error
detailstringrequirednullableDetailed error description
defaultErrorApiError▶
errorintegerrequiredError code
reasonstringrequiredError message explaining the reason of the error
detailstringrequirednullableDetailed error description